package net.halbear.Executable;

import net.halbear.Terrain4J.EngineCore.Logic.EngineConfig;
import net.halbear.Terrain4J.EngineCore.Main.GameCore;
import net.halbear.Terrain4J.EngineCore.Main.PrimaryRuntime;
import org.tinylog.Logger;

public class Init  {
    public static void main(String[] args){
        Logger.info("\nLaunching New Terrain4J Powered Software!");
        var GameEngine = new PrimaryRuntime(EngineConfig.getInstance().GetSoftwareName(), new GameCore());
        Logger.info("Launched Terrain4J Engine");
        GameEngine.run();
    }
}
